For the complete documentation index, see llms.txt. This page is also available as Markdown.

Vectors

API endpoints for managing vectors

Fetch all vectors

get
/api/open-api/v1/vectors

Get a list of vectors.

Authorizations
AuthorizationstringRequired

Enter token in format (Bearer <your_token>)

Query parameters
per_pageintegerOptional

Number of items per page (-1 for all items)

Example: 25
order_bystringOptional

Field to order by (default: created_at)

Example: name
orderstring · enumOptional

Sorting order (asc or desc)

Example: descPossible values:
category_idintegerOptional

Filter by category ID

Example: 2
Responses
200

Successful response

application/json

Vectors data response

idintegerOptionalExample: 1
namestringOptionalExample: Wood Vector
vector_filestring · urlOptionalExample: https://example.com/vectors/wood_vector.jpg
bump_filestring · urlOptionalExample: https://example.com/vectors/wood_vector_bump.jpg
category_idintegerOptionalExample: 3
fill_colorsstringOptional

Fill colors in JSON format

Example: {'id': '1', 'title': 'test', 'color': '#000000'}
created_atstring · date-timeOptionalExample: 2024-02-21T12:34:56Z
updated_atstring · date-timeOptionalExample: 2024-02-21T12:34:56Z
get/api/open-api/v1/vectors

Get vector by ID

get
/api/open-api/v1/vectors/{id}

Get a specific vector by ID.

Authorizations
AuthorizationstringRequired

Enter token in format (Bearer <your_token>)

Path parameters
idinteger · int64Required

ID of the vector

Example: 1
Responses
200

Successful response

application/json

Vectors data response

idintegerOptionalExample: 1
namestringOptionalExample: Wood Vector
vector_filestring · urlOptionalExample: https://example.com/vectors/wood_vector.jpg
bump_filestring · urlOptionalExample: https://example.com/vectors/wood_vector_bump.jpg
category_idintegerOptionalExample: 3
fill_colorsstringOptional

Fill colors in JSON format

Example: {'id': '1', 'title': 'test', 'color': '#000000'}
created_atstring · date-timeOptionalExample: 2024-02-21T12:34:56Z
updated_atstring · date-timeOptionalExample: 2024-02-21T12:34:56Z
get/api/open-api/v1/vectors/{id}

Last updated